#include<iostream>
#include<cstdlib>
using namespace std;
struct granice{
public: int donja;
public: int gornja;
};
main(){
int n,m;
cin>>n>>m;
granice a[n];
for(int i=0;i<n;i++){
    cin>>a[i].donja>>a[i].gornja;
}
int b[m]; int br=0;
for(int i=0; i<m; i++){
    int l,r,x;
    cin>>l>>r>>x;
    int br=0;
    for(int j=l-1; j<r;j++){
        if(a[j].gornja>=x&&a[j].donja<=x) br++;
    }
    b[i]=br;
}
for(int i=0; i<m; i++) cout<<b[i]<<endl;
return 0;
}